Skip to main content
GET
/
checkout
/
session
/
{id}
Get Checkout Session
curl --request GET \
  --url https://uat-api.clinkbill.com/api/checkout/session/{id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "sessionId": "<string>",
    "token": "<string>",
    "status": "open",
    "paymentStatus": "unpaid",
    "amountSubtotal": 123,
    "amountTotal": 123,
    "originalCurrency": "<string>",
    "paymentCurrency": "<string>",
    "subscriptionId": "<string>",
    "invoiceId": "<string>",
    "orderId": "<string>",
    "merchantReferenceId": "<string>",
    "locale": "<string>",
    "cancelUrl": "<string>",
    "successUrl": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "expire": "2023-11-07T05:31:56Z",
    "price": {
      "priceId": "<string>",
      "priceList": [
        {
          "amount": 123,
          "currency": "<string>",
          "exchangeRate": 123
        }
      ],
      "recurring": {
        "freeTrialDays": 123,
        "interval": "week"
      }
    },
    "product": {
      "productId": "<string>",
      "productName": "<string>"
    },
    "customer": {
      "customerId": "<string>",
      "email": "<string>"
    },
    "priceDataList": [
      {
        "name": "<string>",
        "unitAmount": 1,
        "quantity": 2,
        "currency": "<string>",
        "imageUrl": "<string>"
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

id
string
required

Unique identifier of the checkout session to retrieve

Response

Successfully retrieved checkout session details

code
integer<int32>
msg
string
data
object